EventBufferEvent::getEnabled
EventBufferEvent::getOutput
EventBufferEvent
PHP Manual

# EventBufferEvent::getInput

(PECL event >= 1.2.6-beta)

EventBufferEvent::getInput — Returns underlying input buffer associated with current buffer event

### Description

public EventBuffer EventBufferEvent::getInput ( void )

Returns underlying input buffer associated with current buffer event. An input buffer is a storage for data to read.

Note, there is also input property of EventBufferEvent class.

### Parameters

This function has no parameters.

### Return Values

Returns instance of EventBuffer input buffer associated with current buffer event.

### Examples

Example #1 Buffer event's read callback

`<?php
function readcb($bev, $base) {
$input = $bev->input; //$bev->getInput();
while (($n = $input->remove($buf, 1024)) > 0) {
echo $buf;
}
}
?>`

### See Also

- EventBufferEvent::getOutput() - Returns underlying output buffer associated with current buffer event

EventBufferEvent::getEnabled
EventBufferEvent::getOutput
EventBufferEvent
PHP Manual